using System;
using System.ComponentModel;

namespace WCS.Entity.Protocol.Truss
{
    /// <summary>
    ///  桁架状态
    /// </summary>
    public enum TrussStatus : short
    {
        /// <summary>
        ///  空闲
        /// </summary>
        [Description("空闲")]
        Idle = 1,

        /// <summary>
        ///  执行中
        /// </summary>
        [Description("执行中")]
        Execute = 2,

        /// <summary>
        ///  报警中
        /// </summary>
        [Description("报警中")]
        Alarm = 3,

        /// <summary>
        ///  维护
        /// </summary>
        [Description("维护")]
        KeepInRepair = 4,

        /// <summary>
        ///  手动
        /// </summary>
        [Description("手动")]
        Manual = 5,
    }

    /// <summary>
    /// 桁架报警项
    /// </summary>
    [Flags]
    public enum TrussAlarm : ulong
    {
    }

    /// <summary>
    ///  桁架码垛位指令类型
    /// </summary>
    [Flags]
    public enum TrussCmdType : ushort
    {
        /// <summary>
        /// 码垛结束
        /// </summary>
        [Description("码垛结束")]
        End = 1 << 0,

        /// <summary>
        /// 强制码垛结束
        /// </summary>
        [Description("强制码垛结束")]
        End1 = 1 << 1,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES8 = 1 << 2,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES9 = 1 << 3,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES10 = 1 << 4,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES11 = 1 << 5,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES12 = 1 << 6,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES13 = 1 << 7,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES14 = 1 << 8,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES = 1 << 9,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES1 = 1 << 10,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES2 = 1 << 11,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES3 = 1 << 12,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES4 = 1 << 13,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES5 = 1 << 14,

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        RES6 = 1 << 15,
    }
}
